#include <pybind11/pybind11.h>
#include <pybind11/functional.h>
#include <iostream>

void invoke(std::function<void()> cb) {
  try {
    cb();
  } catch (pybind11::error_already_set& ex) {
    std::cout << ex.what() << std::endl;
  }
}

PYBIND11_MODULE(pybind11_repro, m) {
  m.def("invoke", &invoke);
}
